# Get location

`GET /locations/{id}`

Base URL: `https://api.viewcy.com/2025_06`

## Parameters

- `id` (path, string, **required**) (example: `1596a039-466e-4501-b51f-60f1c854c0c1`)

## Responses

### 200 — Returns the location

- `object` (string)
- `id` (string)
- `name` (string)
- `address` (string)
- `city` (string)
- `state` (string)
- `stateCode` (string)
- `country` (string)
- `zipcode` (string)
- `lat` (any)
- `lng` (any)
- `googlePlaceId` (any)
- `createdAt` (string)
- `updatedAt` (string)

### 401 — Returns 401

- `object` (string)
- `status` (integer)
- `message` (string)

### 404 — Returns 404 for non-existent location

- `object` (string)
- `status` (integer)
- `message` (string)

---
Full OpenAPI spec: https://developer.viewcy.com/openapi/2025_06_viewcy_api.yaml

Interactive docs: https://developer.viewcy.com/api/get-location
